> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nimbleway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Run Artifact Download URL



## OpenAPI

````yaml /api-reference/openapi.json get /v2/jobs/runs/{run_id}/artifacts/{artifact_id}/download-url
openapi: 3.1.0
info:
  title: Nimble SDK
  version: 1.0.0
  description: The AI-Native SDK for Real-Time Web Data at scale
servers:
  - url: https://sdk.nimbleway.com
security: []
paths:
  /v2/jobs/runs/{run_id}/artifacts/{artifact_id}/download-url:
    get:
      tags:
        - Jobs
      summary: Get Run Artifact Download URL
      operationId: >-
        get_run_artifact_download_url_public_v2_api_v2_public_jobs_runs__run_id__artifacts__artifact_id__download_url_get
      parameters:
        - in: path
          name: run_id
          required: true
          schema:
            title: Run Id
            type: string
        - in: path
          name: artifact_id
          required: true
          schema:
            title: Artifact Id
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArtifactDownloadUrlPublicV2'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
components:
  schemas:
    ArtifactDownloadUrlPublicV2:
      description: A pre-signed URL for downloading an artifact.
      properties:
        expires_at:
          description: When the download URL expires.
          format: date-time
          title: Expires At
          type: string
        url:
          description: Pre-signed URL to download the artifact.
          title: Url
          type: string
      required:
        - url
        - expires_at
      title: ArtifactDownloadUrlPublicV2
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.